Name:           perl-Catalyst-Plugin-Compress
Version:        0.006
Release:        12%{?dist}
Summary:        Compress response
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            https://metacpan.org/release/Catalyst-Plugin-Compress
Source0:        https://cpan.metacpan.org/modules/by-module/Catalyst/Catalyst-Plugin-Compress-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(Catalyst)
BuildRequires:  perl(Catalyst::Controller)
BuildRequires:  perl(Catalyst::Runtime) >= 5.80001
BuildRequires:  perl(Catalyst::Test)
BuildRequires:  perl(Catalyst::Utils)
BuildRequires:  perl(Compress::Bzip2) >= 2
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Encode) >= 2.21
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(inc::Module::Install) >= 0.91
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Module::Install::AutoInstall)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
BuildRequires:  sed
Requires:       perl(Catalyst::Runtime) >= 5.80001
Requires:       perl(Compress::Bzip2) >= 2
Requires:       perl(Compress::Zlib)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module combines Catalyst::Plugin::Deflate, Catalyst::Plugin::Gzip
and Catalyst::Plugin::Zlib into one.
It compress response to gzip, bzip2, zlib and deflate if client supports it.

%prep
%setup -q -n Catalyst-Plugin-Compress-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.006-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.006-11
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.006-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.006-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.006-8
- Perl 5.26 rebuild

* Wed May 24 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.006-7
- Fix building on Perl without '.' in @INC

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.006-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.006-5
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.006-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.006-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.006-2
- Perl 5.22 rebuild

* Thu Jan 15 2015 Sven Nierlein <sven.nierlein@consol.de> 0.006-1
- new upstream version

* Tue Sep 02 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.005-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.005-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 24 2014 Sven Nierlein <sven.nierlein@consol.de> 0.005-4
- updated build requires according to review request
- removed duplicate requires which are autodetected

* Tue May 20 2014 Sven Nierlein <sven.nierlein@consol.de> 0.005-3
- updated build requires according to cpanspec
- added perl compat requires

* Sun Apr 06 2014 Sven Nierlein <sven.nierlein@consol.de> 0.005-2
- used description from the module itself
- removed unnecessary build steps
- added perl build requires
- use DESTDIR as install target folder

* Sun Mar 23 2014 Sven Nierlein <sven.nierlein@consol.de> 0.005-1
- Specfile created
